Loading...
Searching...
No Matches
opencc::Config Class Reference
OpenCC C++ Comprehensive API

Configuration loader. More...

`#include <src/Config.hpp>`

## Public Member Functions

ConverterPtr | NewFromString (const std::string &json, const std::string &configDirectory)
ConverterPtr | NewFromString (const std::string &json, const std::vector< std::string > &paths)
ConverterPtr | NewFromString (const std::string &json, const std::vector< std::string > &paths, const ConfigLoadOptions &options)
ConverterPtr | NewFromString (const std::string &json, std::shared_ptr< ResourceProvider > provider)
ConverterPtr | NewFromString (const std::string &json, std::shared_ptr< ResourceProvider > provider, const ConfigLoadOptions &options)
ConverterPtr | NewFromFile (const std::string &fileName)
ConverterPtr | NewFromFile (const std::string &fileName, std::shared_ptr< ResourceProvider > provider)
ConverterPtr | NewFromFile (const std::string &fileName, std::shared_ptr< ResourceProvider > provider, const ConfigLoadOptions &options)
ConverterPtr | NewFromFile (const std::string &fileName, const std::vector< std::string > &paths, const char *argv0)
ConverterPtr | NewFromFile (const std::string &fileName, const std::vector< std::string > &paths, const char *argv0, const ConfigLoadOptions &options)

## Detailed Description

Configuration loader.

The documentation for this class was generated from the following files:

- Config.hpp
- Config.cpp